<template>
	<view class="a-page">
		<view class='a-main' v-show="list && list.length>0">
			<view class='main-item' v-for="items in list">
				<view class='item-top'>申请时间:{{items.gmtCreated}}</view>
				<view class='item-box'> 
					<image class='box-img' :src='items.imagesUrl[0]'></image>
					<view class='box-con'>
						<view class='cont-top'>{{items.name}}</view>
						<view class='cont-footer'>{{items.type}}</view>
					</view>
					<image class='box-icon' v-show="items.status=='CREATED'" src='http://ddh.yyhock.com/ddhMall/application-icon.png'></image>
				</view>
				<view class='item-btn' @click="goIndex">查看详情</view>
			</view>
			
		
			
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				list:[]
			}
		},
		onLoad() {
			this.init()
		},
		methods: {
			init(){
				const self=this
				self.$request('/authenticate/selectLists','POST').then((res)=>{
					console.log(res,'selectLists')
					res.result.map(item=>{
						const newUrl=JSON.parse(item.imagesUrl)
						item.imagesUrl=newUrl
					})
					console.log(res.result,'0')
					self.list=res.result
				})
			},
			goIndex(){
				this.Go('uni:/pages/index/indexs','tab')
			}
		},
		onShow() {
			this.init()
		}
	}
</script>
<style src='./index.less' lang="less" scoped></style>
